List all customers
curl --request GET \
--url https://api.byzantine.fi/v1/query/get-customers \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://api.byzantine.fi/v1/query/get-customers"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://api.byzantine.fi/v1/query/get-customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"businessCustomers": [
{
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"entityName": "<string>",
"verificationStatus": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"teamMembers": [
{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
],
"logoUrl": "<string>"
}
],
"individualCustomers": [
{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"verificationStatus": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"logoUrl": "<string>"
}
]
}Customer management
List all customers
Returns business customers (entities with their team members) and/or individual customers (users without an entity).
Use the customer_type query parameter to filter:
business: only business customersindividual: only individual customersall(default): both business and individual customers
GET
/
v1
/
query
/
get-customers
List all customers
curl --request GET \
--url https://api.byzantine.fi/v1/query/get-customers \
--header 'X-Pubkey: <x-pubkey>' \
--header 'X-Pubkey, X-Timestamp, X-Signature: <api-key>' \
--header 'X-Signature: <x-signature>' \
--header 'X-Timestamp: <x-timestamp>'import requests
url = "https://api.byzantine.fi/v1/query/get-customers"
headers = {
"X-Pubkey": "<x-pubkey>",
"X-Timestamp": "<x-timestamp>",
"X-Signature": "<x-signature>",
"X-Pubkey, X-Timestamp, X-Signature": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Pubkey': '<x-pubkey>',
'X-Timestamp': '<x-timestamp>',
'X-Signature': '<x-signature>',
'X-Pubkey, X-Timestamp, X-Signature': '<api-key>'
}
};
fetch('https://api.byzantine.fi/v1/query/get-customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"businessCustomers": [
{
"entityId": "550e8400-e29b-41d4-a716-446655440000",
"entityName": "<string>",
"verificationStatus": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"teamMembers": [
{
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>"
}
],
"logoUrl": "<string>"
}
],
"individualCustomers": [
{
"accountId": "550e8400-e29b-41d4-a716-446655440000",
"userId": "550e8400-e29b-41d4-a716-446655440000",
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"verificationStatus": "active",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"logoUrl": "<string>"
}
]
}
